/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Playpen+Sans:wght@400&display=swap");
/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --first-color: hsl(228, 85%, 63%);
  --title-color: hsl(228, 18%, 16%);
  --text-color: hsl(228, 8%, 36%);
  --h2-color: hsl(228, 8%, 26%);
  --body-color: hsl(228, 100%, 99%);
  --body-text-color: hsl(0, 0%, 0%);
  --nav-color: hsl(0, 0%, 6.7%);
  --shadow-color: hsla(228, 80%, 4%, 0.1);
  --fin-bg: hsl(228, 25%, 24.8%);
  --md-text: #2e2e2e;
  --footer: #fff;
  --neo-card: #f5f5f5;
  --neo-text: #000;
  --lord-icon-primary: #121331;

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --normal-font-size: 0.938rem;
  --smaller-font-size: 0.75rem;
  --tiny-font-size: 0.75rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-semi-bold: 600;
  --scrollbar-border: 2px;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}
/*=============== VARIABLES DARK THEME ===============*/
body.dark-theme {
  --first-color: hsl(228, 70%, 63%);
  --title-color: hsl(228, 18%, 96%);
  --h2-color: hsl(228, 18%, 100%);
  --text-color: hsl(228, 12%, 61%);
  --body-color: hsl(228, 24%, 16%);
  --nav-color: hsl(0, 0%, 100%);
  --body-text-color: hsl(0, 0%, 100%);
  --shadow-color: hsla(228, 80%, 4%, 0.3);
  --footer: hsla(228, 80%, 4%, 0.1);
  --fin-bg: hsl(228, 25%, 24.8%);
  --neo-card: hsla(228, 80%, 4%, 0.3);
  --neo-text: #e0e0e0;
  --lord-icon-primary: #e0e0e0;
  --scrollbar-border: 1px;
}
/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
  :root {
    --normal-font-size: 1rem;
    --smaller-font-size: 0.813rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: "Playpen Sans", cursive;
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  transition: background-color 0.4s;
  margin: 0;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

button {
  all: unset;
}

/*========== 
	Color changes in some parts of 
	the website, in dark theme
==========*/
.dark-theme .sidebar__content::-webkit-scrollbar {
  background-color: hsl(228, 16%, 30%);
}

.dark-theme .sidebar__content::-webkit-scrollbar-thumb {
  background-color: hsl(228, 16%, 40%);
}

/*=============== REUSABLE CSS CLASSES ===============*/
.main {
  padding-top: 5rem;
  margin-inline: 1.5rem;
  text-align: center;
  gap: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  overflow-x: hidden;
}
.main h2 {
  margin-top: 2rem;
}
/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: var(--z-fixed);
  margin: 0.75rem;
}

.header__container {
  width: 100%;
  height: var(--header-height);
  background-color: var(--body-color);
  box-shadow: 0 2px 24px var(--shadow-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-inline: 1.5rem;
  border-radius: 1rem;
  transition: background-color 0.4s;
}

.header__logo {
  display: inline-flex;
  align-items: center;
  column-gap: 0.25rem;
}

.header__logo i {
  font-size: 1.5rem;
  color: var(--first-color);
}

.header__logo span {
  color: var(--title-color);
  font-size: 20px;
  margin-left: -6px;
  font-weight: var(--font-semi-bold);
}

.header__toggle {
  font-size: 1.5rem;
  color: var(--title-color);
  cursor: pointer;
}

/*=============== SIDEBAR ===============*/
.sidebar {
  position: fixed;
  left: -120%;
  top: 0;
  bottom: 0;
  z-index: var(--z-fixed);
  width: 288px;
  background-color: var(--body-color);
  box-shadow: 2px 0 24px var(--shadow-color);
  padding-block: 1.5rem;
  margin: 0.75rem;
  border-radius: 1rem;
  transition: left 0.4s, background-color 0.4s, width 0.4s;
}

.sidebar__container,
.sidebar__content {
  display: flex;
  flex-direction: column;
  row-gap: 3rem;
}

.sidebar__container {
  height: 100%;
  overflow: hidden;
}

.sidebar__user {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  align-items: center;
  column-gap: 1rem;
  padding-left: 2rem;
}

.sidebar__img {
  position: relative;
  width: 50px;
  height: 50px;
  background-color: var(--first-color);
  border-radius: 50%;
  overflow: hidden;
  display: grid;
  justify-items: center;
}

.sidebar__img img {
  position: absolute;
  width: 36px;
  bottom: -1px;
}

.sidebar__info h3 {
  font-size: var(--normal-font-size);
  color: var(--title-color);
  transition: color 0.4s;
}

.sidebar__info span {
  font-size: var(--smaller-font-size);
}

.sidebar__content {
  overflow: hidden auto;
}

.sidebar__content::-webkit-scrollbar {
  width: 0.4rem;
  background-color: hsl(228, 8%, 85%);
}

.sidebar__content::-webkit-scrollbar-thumb {
  background-color: hsl(228, 8%, 75%);
}

.sidebar__title {
  width: max-content;
  font-size: var(--tiny-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
  padding-left: 1rem;
  margin-bottom: 1.5rem;
}

.sidebar__list,
.sidebar__actions {
  display: grid;
  row-gap: 1.5rem;
}
.sidebar__actions {
  display: flex;
  flex-direction: wrap;
  justify-content: center;
  gap: 1rem;
  margin-bottom: 8px;
}
.sidebar__link {
  position: relative;
  display: grid;
  grid-template-columns: repeat(2, max-content);
  align-items: center;
  column-gap: 1rem;
  color: var(--text-color);
  padding-left: 2rem;
  transition: color 0.4s, opacity 0.4s;
}

.sidebar__link i {
  font-size: 1.25rem;
}

.sidebar__link span {
  font-weight: var(--font-semi-bold);
}

.sidebar__link:hover {
  color: var(--first-color);
}

.sidebar__actions {
  margin-top: auto;
}

.sidebar__actions button {
  cursor: pointer;
}

.sidebar__theme {
  width: 100%;
  border: 1px solid #111;
  border-radius: 12px;
  padding: 8px 10px;
  font-size: 1.25rem;
}

.sidebar__theme span {
  font-size: var(--normal-font-size);
  font-family: var(--body-font);
}

/* Show sidebar */
.show-sidebar {
  left: 0;
}

/* Active link */
.active-link {
  color: var(--first-color);
}

.active-link::after {
  content: "";
  position: absolute;
  left: 0;
  width: 3px;
  height: 20px;
  background-color: var(--first-color);
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 360px) {
  .header__container {
    padding-inline: 1rem;
  }

  .sidebar {
    width: max-content;
  }
  .sidebar__info,
  .sidebar__link span {
    display: none;
  }
  .sidebar__user,
  .sidebar__list,
  .sidebar__actions {
    justify-content: center;
  }
  .sidebar__user,
  .sidebar__link {
    grid-template-columns: max-content;
  }
  .sidebar__user {
    padding: 0;
  }
  .sidebar__link {
    padding-inline: 2rem;
  }
  .sidebar__title {
    padding-inline: 0.5rem;
    margin-inline: auto;
  }
  .sidebar__actions {
    opacity: 0; /* الإعدادات الافتراضية للشريط الضيق */
  }
}

.editor-container {
  max-width: 90%;
  min-width: 300px;
  min-height: 80px;
  overflow: hidden;
  margin: 0 auto;
  background-color: #1e1e1e;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  position: relative;
  text-align: left;
}
.editor-header {
  background-color: #333;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.editor-header .dots {
  display: flex;
  align-items: center;
}
.editor-header .dot {
  height: 12px;
  width: 12px;
  border-radius: 50%;
  display: inline-block;
  margin-right: 5px;
}
.editor-header .dot.red {
  background-color: #ff5f56;
}
.editor-header .dot.yellow {
  background-color: #ffbd2e;
}
.editor-header .dot.green {
  background-color: #27c93f;
}
.grey {
  color: grey;
}
.copy-button {
  background-color: #007acc;
  color: white;
  border: none;
  padding: 5px 10px;
  border-radius: 4px;
  cursor: pointer;
  font-size: 14px;
}
.copy-button:hover {
  background-color: #005a99;
}
pre {
  margin: 0;
  height: 100%;
  padding: 15px;
  background-color: #1e1e1e;
  color: #dcdcdc;
  font-size: 14px;
  line-height: 1.5;
  overflow-x: auto;
  white-space: pre;
  position: relative;
}
.property {
  color: #9cdcfe;
}
.selector {
  color: #d7ba7d;
}
.value {
  color: #ce9178;
}
.import{
  color: #bd719a;
}
.url{
  color: #e3ddc4;
}
.center-go {
  display: flex;
  justify-content: center;
  text-decoration: none;
}
.center-go a {
  text-decoration: none;
  color: var(--body-text-color);
}
.go {
  text-align: center;
  padding: 1rem;
  background-color: var(--shadow-color);
  max-width: 250px;
  border-radius: 10px;
}
.first__card {
  margin: 1rem 0 2rem;
  padding: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  max-width: 600px;
  background-color: var(--shadow-color);
  line-height: 24px;
  border-radius: 4px;
  img {
    margin: 0 0 1rem;
  }
}
::-webkit-scrollbar-thumb {
  border-radius: 6px;
  border: var(--scrollbar-border) solid var(--body-text-color);
}

/*==========================flex box
===================*/
.code-output {
  padding: 10px;
  width: 100%;
  font-family: monospace;
  color: #ffffff;
}
.font__section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.font__output {
  display: flex;
  width: 90%;
  padding: 1rem;
  border: 1px solid #ccc;
  margin-top: 20px;
  transition: all 0.3s ease;
  flex-wrap: wrap; /* To allow align-content to work */
  align-items: flex-start; /* Default for baseline to work */
  font-family: "robot";
}

.descript {
  max-width: 400px;
  margin: 16px 0 8px;
}
h2 {
  display: inline-block;
  position: relative;
  color: var(--h2-color);
}
h2:before,
h2:after {
  content: "";
  position: absolute;
  height: 5px;
  border-bottom: 1px solid var(--body-text-color);
  border-top: 1px solid var(--body-text-color);
  top: 1rem;
  width: 600px;
}
h2:before {
  right: 100%;
  margin-right: 15px;
}
h2:after {
  left: 100%;
  margin-left: 15px;
}

/* Responsive Design */

/* For large devices */
@media screen and (min-width: 1150px) {
  .svg {
    display: none;
  }
  .header {
    margin: 1rem;
    padding-left: 340px;
    transition: padding 0.4s;
  }
  .header__container {
    height: calc(var(--header-height) + 2rem);
    padding-inline: 2rem;
  }
  .header__logo {
    order: 1;
  }

  .sidebar {
    left: 0;
    width: 316px;
    margin: 1rem;
  }
  .sidebar__info,
  .sidebar__link span {
    transition: opacity 0.4s;
  }
  .sidebar__user {
    padding-left: 1.2rem;
    transition: padding 0.4s;
  }
  .sidebar__title {
    padding-left: 0;
    transition: padding 0.4s;
  }
  .sidebar__title {
    margin-inline: auto;
  }

  /* Reduce sidebar */
  .show-sidebar {
    width: 90px;
  }
  .show-sidebar .sidebar__user {
    padding-left: 1.25rem;
  }
  .show-sidebar .sidebar__title {
    padding-left: 0;
    margin-inline: auto;
  }
  .show-sidebar .sidebar__info,
  .show-sidebar .sidebar__link span {
    opacity: 0;
  }
  .show-sidebar .sidebar__actions {
    opacity: 1;
  }
  .main {
    padding-left: 340px;
    padding-top: 8rem;
    transition: padding 0.4s;
  }

  /* Add padding left */
  .left-pd {
    padding-left: 114px;
  }
  .wrap {
    display: flex;
    justify-content: center;
    gap: 2rem;
    flex-wrap: wrap;
  }
  .use_flexbox {
    width: 380px;
  }
  .font__output {
    width: 70%;
  }
}
.font_descript{
  border-radius: 4px;
  padding: 2rem 1rem;
  
}
.blue{
  color: #0ef;
}